<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Sort Behavior Demo</title>
</head>
<body>
    <form id="Main" runat="server">
        <h2>Clinet-side sorting using SortBehavior</h2>
        
        <!-- ScriptManager -->
        <atlas:ScriptManager runat="server" ID="scriptManager" />
        
        <!-- Element for ListView (container) -->
        <div id="dataContents">
        </div>
        
        <!-- Templates -->
        <div style="visibility: hidden; display: none">
            <div id="masterTemplate">
                <table border="1" cellpadding="3" style="width:30em;">
                    <thead>
                        <tr>
                            <td><a href="#" id="sortId">ID</a></td>
                            <td><a href="#" id="sortName">Name</a></td>
                            <td><a href="#" id="sortTitle">Title</a></td>
                        </tr>
                    </thead>
                    <tbody id="masterItemTemplateParent">
                        <tr id="masterItemTemplate">
                            <td><span id="masterId"></span></td>
                            <td><span id="masterName"></span></td>
                            <td><span id="masterTitle"></span></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </form>

    <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <components>
                <dataSource id="dataSource" autoLoad="true" serviceURL="SampleDataService.asmx" />
                
                <dataView id="view">
                    <bindings>
                        <binding dataContext="dataSource" dataPath="data" property="data"/>
                    </bindings>
                </dataView>
                
                <listView id="dataContents" itemTemplateParentElementId="masterItemTemplateParent" >
                    <bindings>
                        <binding dataContext="view" dataPath="filteredData" property="data"/>
                    </bindings>
                    <layoutTemplate>
                        <template layoutElement="masterTemplate"/>
                    </layoutTemplate>
                    <itemTemplate>
                        <template layoutElement="masterItemTemplate">
                            <label id="masterId">
                                <bindings>
                                    <binding dataPath="Id" property="text"/>
                                </bindings>
                            </label>
                            <label id="masterName">
                                <bindings>
                                    <binding dataPath="Name" property="text"/>
                                </bindings>
                            </label>
                            <label id="masterTitle">
                                <bindings>
                                    <binding dataPath="Title" property="text"/>
                                </bindings>
                            </label>
                        </template>
                    </itemTemplate>
                </listView>
                
                <control id="sortId">
                    <behaviors>
                        <sortBehavior dataView="view" sortColumn="Id"/>
                    </behaviors>
                </control>
                <control id="sortName">
                    <behaviors>
                        <sortBehavior dataView="view" sortColumn="Name"/>
                    </behaviors>
                </control>
                <control id="sortTitle">
                    <behaviors>
                        <sortBehavior dataView="view" sortColumn="Title"/>
                    </behaviors>
                </control>
            </components>
        </page>
    </script>

</body>
</html>
